[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / FormControlMarkTouchedDirective

# Class: FormControlMarkTouchedDirective

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:11](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts#L11)

## Constructors

### new FormControlMarkTouchedDirective()

> **new FormControlMarkTouchedDirective**(`parent`): [`FormControlMarkTouchedDirective`](FormControlMarkTouchedDirective.md)

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:13](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts#L13)

#### Parameters

##### parent

`ControlContainer`

#### Returns

[`FormControlMarkTouchedDirective`](FormControlMarkTouchedDirective.md)

## Methods

### onClick()

> **onClick**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/form-control-mark-touched.directive.ts#L17)

#### Returns

`void`
